using Interfaces;

namespace IrDaemonNotifier
{
    public class IrDaemonControllerProviderFactory : ISystemControlProviderFactory
    {
        private readonly ILoggerService _logger;

        public IrDaemonControllerProviderFactory(ILoggerService logger)
        {
            _logger = logger;
        }

        public ISystemControlProvider GetProvider()
        {
            return new IrDaemonController(_logger);
        }
    }
}